| Python Script Engine 8.3 GL Studio Editor Python Script API

Public Member Functions | Static Public Member Functions | List of all members
GlsDynamicPath Class Reference
Inheritance diagram for GlsDynamicPath:

## Public Member Functions
| GlsDynamicPath ()
bool | AffectsLocationX ()
void | AffectsLocationX (bool affects)
bool | AffectsLocationY ()
void | AffectsLocationY (bool affects)
bool | AffectsLocationZ ()
void | AffectsLocationZ (bool affects)
bool | AffectsRotationX ()
void | AffectsRotationX (bool affects)
bool | AffectsRotationY ()
void | AffectsRotationY (bool affects)
bool | AffectsRotationZ ()
void | AffectsRotationZ (bool affects)
bool | UseShortRotationPaths ()
void | UseShortRotationPaths (bool affects)
bool | AffectsScaleX ()
void | AffectsScaleX (bool affects)
bool | AffectsScaleY ()
void | AffectsScaleY (bool affects)
bool | AffectsScaleZ ()
void | AffectsScaleZ (bool affects)
GlsDynamicPathState | GetState (unsigned int index)
void | AddState (GlsDynamicPathState &inputState)
void | SetState (unsigned int index, GlsDynamicPathState &inputState)
void | RemoveState (unsigned int index)
Public Member Functions inherited from DisplayObject
bool | isNULL ()
String | GetName ()
String | SetName (String name)
void | SetProtectionMode (DisplayObject::MemberAccess_e mode)
DisplayObject::MemberAccess_e | GetProtectionMode (void)
void | SetLocked (bool val)
bool | GetLocked (void)
bool | GetGenerateMemberVariable ()
void | SetGenerateMemberVariable (bool b)
bool | GetAntiAliasing ()
void | SetAntiAliasing (bool antiAliasing)
bool | GetBlinking ()
void | SetBlinking (bool blinking)
float | GetBlinkRate ()
void | SetBlinkRate (float rate)
int | GetAlphaMode ()
void | SetAlphaMode (int mode)
bool | GetCullBackFaces ()
void | SetCullBackFaces (bool cullFaces)
bool | GetZBufferTestedFlag ()
void | SetZBufferTestedFlag (bool tested)
bool | GetAffectZBufferFlag ()
void | SetAffectZBufferFlag (bool affect)
bool | GetLightingEnabledFlag ()
void | SetLightingEnabledFlag (bool enabled)
DisplayObject::PickableType_e | GetPickMode ()
void | SetPickMode (DisplayObject::PickableType_e mode)
bool | GetVisibilityFlag ()
void | SetVisibilityFlag (bool visible)
PolygonClose_e | GetClosePolygonFlag ()
void | SetClosePolygonFlag (PolygonClose_e closePolygon)
PolygonMode_e | GetPolygonMode ()
void | SetPolygonMode (PolygonMode_e polygonMode)
ShadingType_e | GetShadingMode ()
void | SetShadingMode (ShadingType_e shadingMode)
Vertex | GetLocation ()
void | SetLocation (Vertex loc)
Vertex | GetRotationPoint ()
void | SetRotationPoint (Vertex rotPoint)
GlsMatrixAffine * | GetDcsMatrix ()
void | SetDcsMatrix (GlsMatrixAffine *matrix)
int | GetMaterialIndex ()
void | SetMaterialIndex (int matIndex)
String | GetObjectClassName ()
int | GetTextureIndex ()
void | SetTextureIndex (int texIndex)
TextureMap_e | GetTextureMappingTechnique ()
void | SetTextureMappingTechnique (TextureMap_e mappingTechnique)
bool | GetTextureRepeat ()
void | SetTextureRepeat (bool repeat)
disti::GlsColor | GetBlendingColor ()
void | SetBlendingColor (GlsColor blendColor)
DisplayObject::TextureFilter_e | GetTextureMagnificationFilter ()
void | SetTextureMagnificationFilter (DisplayObject::TextureFilter_e filter)
DisplayObject::TextureFilter_e | GetTextureMinificationFilter ()
void | SetTextureMinificationFilter (DisplayObject::TextureFilter_e filter)
std::vector< Vector > | GetTextureCoordinates ()
void | SetTextureCoordinates (std::vector< Vector > &texVerts)
void | GetTextureCoordinates (VertexArray *texVerts)
void | SetTextureCoordinates (VertexArray &texVerts)
void | GetTexturePoints (VertexArray *texVerts)
void | SetTexturePoints (VertexArray &texVerts)
void | SetTexturePoints (std::vector< Vector > &texVerts)
std::vector< Vector > | GetTexturePoints ()
void | GetVertices (VertexArray *verts)
void | SetVertices (VertexArray &verts)
String | GetInitialization ()
void | SetInitialization (String initCode)
String | GetCallbackCode ()
void | SetCallbackCode (String cbCode)
DisplayObject * | DuplicateObject (Document *doc=NULL)
DisplayObject * | TessellateObject ()
DisplayObject * | ExtrudeObject (float amount)
void | RotateObject (float amount, RotationAxis_e axis)
void | TranslateObject (float x, float y, float z)
void | ScaleObject (float x, float y, float z, Vertex *anchor=NULL)
void | LineWidth (float width)
float | LineWidth ()
LineStyle_e | LineStyle ()
void | LineStyle (LineStyle_e style)
GlsColor | LineColor ()
void | LineColor (GlsColor color)
GlsColor | FillColor ()
void | FillColor (GlsColor color)
void | GetExtents (Vector &min, Vector &max)
bool | HasUserDefinedAttribute (String attribName)
std::map< String, String > | GetUserDefinedAttributes ()
UserDefinedValueAttributeList | GetAllUserDefinedAttributes ()
String | GetUserDefinedAttributeValue (String attribName)
| typemap (check) String attribName
void | SetUserDefinedAttributeValue (String attribName, String value)
DisplayObject * | GetParent ()
Document * | GetDocument ()
String | AlternateClassName ()
void | AlternateClassName (String name)
String | GetAlternateClassHeaderFile ()
void | SetAlternateClassHeaderFile (String name)
String | GetResources ()
String | GetRuntimeResources (bool recursive)
String | GetAttributeType (String attribName)
String | GetAttributeValueString (String attribName)
void | SetAttributeValueString (String attribName, String value)
unsigned int | RegisterObserver (String attribName, PyObject *pyfunc)
void | UnregisterObserver (String attribName, unsigned int id)
std::vector< Vector > | GetNormals ()
void | SetNormals (std::vector< Vector > &normals)
std::vector< CustomAttributeInfo > | GetExtraAttributes ()
DisplayObject * | CloneObject ()
void | CopyProperties (DisplayObject *sourceObj)
void | SetLocation (Vector loc)
GlsMatrixAffine | GetObjectCoordinatesTransform (DisplayObject *targetObject)
void | CalculateParentBoundingBox ()
void | SetOrigin (Vertex &vert)

## Static Public Member Functions
static GlsDynamicPath * | CastToGlsDynamicPath (DisplayObject *obj)

## Additional Inherited Members
Public Types inherited from DisplayObject
enum | MemberAccess_e { PUBLIC , PRIVATE , PROTECTED }
enum | PickableType_e { UNPICKABLE , FIRST_PICK , BEST_PICK , ALWAYS_PICK }
enum | PolygonClose_e { POLY_OPEN , POLY_CLOSED }
enum | PolygonMode_e { POLY_MODE_UNDEFINED , POLY_MODE_POINTS , POLY_MODE_OUTLINE , POLY_MODE_FILLED , POLY_MODE_FILL_AND_OUTLINE }
enum | ShadingType_e { SHADING_FLAT , SHADING_GOURAUD }
enum | TextureMap_e { TEXTURE_MAP_MODULATE , TEXTURE_MAP_DECAL , TEXTURE_MAP_BLEND , TEXTURE_MAP_REPLACE }
enum | TextureFilter_e { TEXTURE_FILTER_NEAREST , TEXTURE_FILTER_LINEAR , TEXTURE_FILTER_NEAREST_MIPMAP_NEAREST , TEXTURE_FILTER_LINEAR_MIPMAP_LINEAR , TEXTURE_FILTER_NEAREST_MIPMAP_LINEAR , TEXTURE_FILTER_LINEAR_MIPMAP_NEAREST }
enum | TessellateType_e { TESSELLATE_UNION , TESSELLATE_INTERSECT , TESSELLATE_DIFFERENCE }
enum | RotationAxis_e { X_AXIS , Y_AXIS , Z_AXIS }
enum | LineStyle_e { SOLID_LINE_STYLE , SMALL_DOTTED_LINE_STYLE , DOTTED_LINE_STYLE , DASHED_LINE_STYLE , DOT_DASHED_LINE_STYLE , SMALL_DASHED_LINE_STYLE }
enum | AlphaMode_e { ALPHA_MODE_UNDEFINED , ALPHA_MODE_OPAQUE , ALPHA_MODE_2_LEVEL , ALPHA_MODE_256_LEVEL }
Static Public Attributes inherited from DisplayObject
static int | TEXTURE_INDEX_NONE = -1

## Detailed Description

Python extension used to modify and create GlsDynamicPath editor objects.

## Constructor & Destructor Documentation

## ◆ GlsDynamicPath()

GlsDynamicPath::GlsDynamicPath | ( |  | ) |

Constructor.

Creates a new GlsDynamicPath.

## Member Function Documentation

## ◆ AddState()

void GlsDynamicPath::AddState | ( | GlsDynamicPathState & | inputState | ) |

Adds a new dynamic path state at the end of the state list.

Parameters

  inputState | state to add

## ◆ AffectsLocationX() [1/2]

bool GlsDynamicPath::AffectsLocationX | ( |  | ) |

Determines whether the dynamic path affects the X location.

Returns
  true if the dynamic path affects the X location, false otherwise

## ◆ AffectsLocationX() [2/2]

void GlsDynamicPath::AffectsLocationX | ( | bool | affects | ) |

Sets whether the dynamic path affects the X location.

Parameters

  affects | true if the dynamic path affects the X location, false otherwise

## ◆ AffectsLocationY() [1/2]

bool GlsDynamicPath::AffectsLocationY | ( |  | ) |

Determines whether the dynamic path affects the Y location.

Returns
  true if the dynamic path affects the Y location, false otherwise

## ◆ AffectsLocationY() [2/2]

void GlsDynamicPath::AffectsLocationY | ( | bool | affects | ) |

Sets whether the dynamic path affects the Y location.

Parameters

  affects | true if the dynamic path affects the Y location, false otherwise

## ◆ AffectsLocationZ() [1/2]

bool GlsDynamicPath::AffectsLocationZ | ( |  | ) |

Determine whether the dynamic path affects the Z location.

Returns
  true if the dynamic path affects the Z location, false otherwise

## ◆ AffectsLocationZ() [2/2]

void GlsDynamicPath::AffectsLocationZ | ( | bool | affects | ) |

Sets whether the dynamic path affects the Z location.

Parameters

  affects | true if the dynamic path affects the Z location, false otherwise

## ◆ AffectsRotationX() [1/2]

bool GlsDynamicPath::AffectsRotationX | ( |  | ) |

Determine whether the dynamic path affects the X rotation.

Returns
  true if the dynamic path affects the X rotation, false otherwise

## ◆ AffectsRotationX() [2/2]

void GlsDynamicPath::AffectsRotationX | ( | bool | affects | ) |

Sets whether the dynamic path affects the X rotation.

Parameters

  affects | true if the dynamic path affects the X rotation, false otherwise

## ◆ AffectsRotationY() [1/2]

bool GlsDynamicPath::AffectsRotationY | ( |  | ) |

Determine whether the dynamic path affects the Y rotation.

Returns
  true if the dynamic path affects the Y rotation, false otherwise

## ◆ AffectsRotationY() [2/2]

void GlsDynamicPath::AffectsRotationY | ( | bool | affects | ) |

Sets whether the dynamic path affects the Y rotation.

Parameters

  affects | true if the dynamic path affects the Y rotation, false otherwise

## ◆ AffectsRotationZ() [1/2]

bool GlsDynamicPath::AffectsRotationZ | ( |  | ) |

Determine whether the dynamic path affects the Z rotation.

Returns
  true if the dynamic path affects the Z rotation, false otherwise

## ◆ AffectsRotationZ() [2/2]

void GlsDynamicPath::AffectsRotationZ | ( | bool | affects | ) |

Sets whether the dynamic path affects the Z rotation.

Parameters

  affects | true if the dynamic path affects the Z rotation, false otherwise

## ◆ AffectsScaleX() [1/2]

bool GlsDynamicPath::AffectsScaleX | ( |  | ) |

Determine whether the dynamic path affects the X scale.

Returns
  true if the dynamic path affects the X scale, false otherwise

## ◆ AffectsScaleX() [2/2]

void GlsDynamicPath::AffectsScaleX | ( | bool | affects | ) |

Sets whether the dynamic path affects the X scale.

Parameters

  affects | true if the dynamic path affects the X scale, false otherwise

## ◆ AffectsScaleY() [1/2]

bool GlsDynamicPath::AffectsScaleY | ( |  | ) |

Determine whether the dynamic path affects the Y scale.

Returns
  true if the dynamic path affects the Y scale, false otherwise

## ◆ AffectsScaleY() [2/2]

void GlsDynamicPath::AffectsScaleY | ( | bool | affects | ) |

Sets whether the dynamic path affects the Y scale.

Parameters

  affects | true if the dynamic path affects the Y scale, false otherwise

## ◆ AffectsScaleZ() [1/2]

bool GlsDynamicPath::AffectsScaleZ | ( |  | ) |

Determine whether the dynamic path affects the Z scale.

Returns
  true if the dynamic path affects the Z scale, false otherwise

## ◆ AffectsScaleZ() [2/2]

void GlsDynamicPath::AffectsScaleZ | ( | bool | affects | ) |

Sets whether the dynamic path affects the Z scale.

Parameters

  affects | true if the dynamic path affects the Z scale, false otherwise

## ◆ CastToGlsDynamicPath()

static GlsDynamicPath * GlsDynamicPath::CastToGlsDynamicPath | ( | DisplayObject * | obj | ) |
| static

Casts a display object to a dynamic path.

Parameters

  obj | The display object to cast.

## ◆ GetState()

GlsDynamicPathState GlsDynamicPath::GetState | ( | unsigned int | index | ) |

Gets the dynamic path state at the specified index.

Parameters

  index | index of the state to retrieve

Returns
  the dynamic path state

## ◆ RemoveState()

void GlsDynamicPath::RemoveState | ( | unsigned int | index | ) |

Removes the state at the specified index.

Parameters

  index | index of the state to be removed

## ◆ SetState()

void GlsDynamicPath::SetState | ( | unsigned int | index,
|  | GlsDynamicPathState & | inputState
| ) |  |

Sets the state at the specified index to the specified state.

Parameters

  index | index of the state to be set
  inputState | state to be set

## ◆ UseShortRotationPaths() [1/2]

bool GlsDynamicPath::UseShortRotationPaths | ( |  | ) |

Determine whether the shortest path between rotations will be used.

Returns
  true if the shortest rotation path will be used, false if the longest path will be used

## ◆ UseShortRotationPaths() [2/2]

void GlsDynamicPath::UseShortRotationPaths | ( | bool | affects | ) |

Sets whether the shortest path between rotations will be used.

Parameters

  affects | true if the shortest rotation path will be used, false if the longest path will be used

The documentation for this class was generated from the following file:

- GlsDynamicPath.i